URL Injection

Affecting com.floragunn:search-guard-kibana-plugin artifact, versions [,6.3.0-16) || [6.3.1-14,6.3.1-16) || [6.3.2-14,6.3.2-16) || [6.4.0-14,6.4.0-16) || [6.4.1-15,6.4.1-16) || [6.4.2-15,6.4.2-16) || [6.4.3-15,6.4.3-16)

Do your applications use this vulnerable package? Test your applications

Overview

com.floragunn:search-guard-kibana-plugin is a Search Guard Kibana Plugin for Elasticsearch 6.

Affected versions of this package are vulnerable to URL Injection. The code allows URL injection for login redirects on the login page when basePath is set.

Remediation

Upgrade com.floragunn:search-guard-kibana-plugin to version 6.3.0-16, 6.3.1-16, 6.3.2-16, 6.4.0-16, 6.4.1-16, 6.4.2-16, 6.4.3-16 or higher.

References

CVSS Score

6.1
medium severity
  • Attack Vector
    Network
  • Attack Complexity
    Low
  • Privileges Required
    None
  • User Interaction
    Required
  • Scope
    Changed
  • Confidentiality
    Low
  • Integrity
    Low
  • Availability
    None
CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N
Credit
Unknown
CVE
CVE-2018-20698
CWE
CWE-74
Snyk ID
SNYK-JAVA-COMFLORAGUNN-174181
Disclosed
09 Apr, 2019
Published
09 Apr, 2019